Freeciv-3.1: edit_tech Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Slots | Private Attributes
edit_tech Class Reference

`#include <edit_tech.h>`

Inheritance diagram for edit_tech:

## Public Member Functions

| edit_tech (ruledit_gui *ui_in, struct advance *tech_in)
void | refresh ()
Public Member Functions inherited from values_dlg
| values_dlg ()
void | open_help (struct strvec **help)
void | close_help ()

## Protected Member Functions

void | closeEvent (QCloseEvent *cevent)

## Private Slots

void | set_cost_value (int value)
void | gfx_tag_given ()
void | gfx_tag_alt_given ()
void | helptext ()

## Private Attributes

ruledit_gui * | ui
struct advance * | tech
QSpinBox * | cost
QLineEdit * | gfx_tag
QLineEdit * | gfx_tag_alt
QGridLayout * | flag_layout

## Detailed Description

Definition at line 34 of file edit_tech.h.

## Constructor & Destructor Documentation

## ◆ edit_tech()

edit_tech::edit_tech | ( | ruledit_gui * | ui_in,
|  | struct advance * | tech_in
| ) |  |

explicit

Setup edit_tech object

Definition at line 43 of file edit_tech.cpp.

## Member Function Documentation

## ◆ closeEvent()

void edit_tech::closeEvent | ( | QCloseEvent * | cevent | ) |

protected

User is closing dialog.

Definition at line 122 of file edit_tech.cpp.

## ◆ gfx_tag_alt_given

void edit_tech::gfx_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative graphics tag.

Definition at line 185 of file edit_tech.cpp.

Referenced by closeEvent(), and edit_tech().

## ◆ gfx_tag_given

void edit_tech::gfx_tag_given | ( |  | ) |

privateslot

User entered new graphics tag.

Definition at line 175 of file edit_tech.cpp.

Referenced by closeEvent(), and edit_tech().

## ◆ helptext

void edit_tech::helptext | ( |  | ) |

privateslot

User pressed helptext button

Definition at line 195 of file edit_tech.cpp.

Referenced by edit_tech().

## ◆ refresh()

void edit_tech::refresh | ( |  | ) |

Refresh the information.

Definition at line 155 of file edit_tech.cpp.

Referenced by edit_tech(), and set_cost_value().

## ◆ set_cost_value

void edit_tech::set_cost_value | ( | int | value | ) |

privateslot

Read cost value from spinbox

Definition at line 165 of file edit_tech.cpp.

Referenced by edit_tech().

## Field Documentation

## ◆ cost

QSpinBox* edit_tech::cost

private

Definition at line 45 of file edit_tech.h.

Referenced by edit_tech(), and refresh().

## ◆ flag_layout

QGridLayout* edit_tech::flag_layout

private

Definition at line 49 of file edit_tech.h.

Referenced by closeEvent(), and edit_tech().

## ◆ gfx_tag

QLineEdit* edit_tech::gfx_tag

private

Definition at line 46 of file edit_tech.h.

Referenced by edit_tech(), gfx_tag_given(), and refresh().

## ◆ gfx_tag_alt

QLineEdit* edit_tech::gfx_tag_alt

private

Definition at line 47 of file edit_tech.h.

Referenced by edit_tech(), gfx_tag_alt_given(), and refresh().

## ◆ tech

struct advance* edit_tech::tech

private

Definition at line 44 of file edit_tech.h.

Referenced by closeEvent(), edit_tech(), gfx_tag_alt_given(), gfx_tag_given(), helptext(), refresh(), and set_cost_value().

## ◆ ui

ruledit_gui* edit_tech::ui

private

Definition at line 43 of file edit_tech.h.

Referenced by edit_tech().